#ifndef BASE_H_
#define BASE_H_

#include <cstddef> // NULL
#include <iomanip>
#include <iostream>
#include <fstream>
#include <string>

#include <boost/archive/tmpdir.hpp>

#include <boost/archive/text_iarchive.hpp>
#include <boost/archive/text_oarchive.hpp>

#include <boost/serialization/base_object.hpp>
#include <boost/serialization/utility.hpp>
#include <boost/serialization/list.hpp>
#include <boost/serialization/assume_abstract.hpp>



/////////////////////////////////////////////////////////////
// One bus stop
//
// illustrates serialization of serializable members
//

class base
{
  friend class boost::serialization::access;
  template<class Archive>
    void serialize(Archive &ar, const unsigned int version)
    {
    }
 protected:
  
 public:
  virtual void update() = 0;
  base();
  virtual ~base() = 0;
};

inline base::base() { }
inline base::~base() { }

BOOST_SERIALIZATION_ASSUME_ABSTRACT(base)

#endif

