#include <cstddef> // NULL
#include <iomanip>
#include <iostream>
#include <fstream>
#include <string>

#include <boost/archive/tmpdir.hpp>

#include <boost/archive/text_iarchive.hpp>
#include <boost/archive/text_oarchive.hpp>

#include <boost/serialization/base_object.hpp>
#include <boost/serialization/utility.hpp>
#include <boost/serialization/list.hpp>
#include <boost/serialization/assume_abstract.hpp>

#include "derived.h"



derived::derived()
{
}
derived::derived(const int & _lat, const int & _long, const std::string & _s1, const std::string & _s2 ) : 
  latitude(_lat), longitude(_long), street1(_s1), street2(_s2)
{
}



void derived::update()
{
  std::cout << "update" << std::endl;
}
